package com.mcwl.resource.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.resource.domain.SysAdvice;
import com.mcwl.resource.domain.dto.SysAdviceDto;
import com.mcwl.resource.domain.vo.AdviceVo;
import com.mcwl.resource.domain.vo.AttentionAdviceVo;
import com.mcwl.resource.domain.vo.CommentAdviceVo;
import com.mcwl.resource.domain.vo.LikeAdviceVo;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 消息通知 服务层
 *
 * @author mcwl
 */
public interface ISysAdviceService extends IService<SysAdvice> {

    List<AdviceVo> getAllMsg();

    List<CommentAdviceVo> getCommentMsg(Integer productType);

    List<LikeAdviceVo> getLikeMsg(Integer productType);

    List<AttentionAdviceVo> getAttentionMsg();

    void read(Long adviceId);

    /**
     * 一键已读
     */
    void readAll();

    List<AdviceVo> getOfficialMsg();

    void sendSysMsg(SysAdviceDto sysAdviceDto);
}
